Type to search.

Create an extension

  • POST /deployments/extensions
Auth

Creates the extension. The extensions API supports two types of usage patterns. A). Specify a download_url, http or https URL, where the extension is currently hosted. This will result in extension being copied to elastic repository. B). Create only the extension metadata using the POST endpoint and then use PUT to upload the extension file. Leave the download_url unspecified in this case.

Request body

the data that creates the extension

name string required

The extension name. Only ASCII alphanumeric and [_.-] characters allowed

description string

The extension description.

download_url string

The URL to download the extension archive.

extension_type enum required

The extension type.

Values: plugin bundle
version string required

The Elasticsearch version.

Responses

The extension that was just created.

application/json
id string required

The extension ID

name string required

The extension name.

description string

The extension description.

url string required

The extension URL to be used in the plan.

download_url string

The download URL specified during extension creation.

extension_type enum required

The extension type.

Values: plugin bundle
version string required

The Elasticsearch version.

deployments string[]

List of deployments using this extension. Up to only 10000 deployments will be included in the list.

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)